<div id="table-container" class="container-fluid">
    <h5 id="arpanel">
        Set auto-refresh every
        <a id="ar5" href="?ar=5&cutoff=<%= cutoff %>">5</a>
        <a id="ar10" href="?ar=10&cutoff=<%= cutoff %>">10</a>
        <a id="ar30" href="?ar=30&cutoff=<%= cutoff %>">30</a>
        <a id="ar60" href="?ar=60&cutoff=<%= cutoff %>">60</a>
        <a id="ar0" href="?ar=0&cutoff=<%= cutoff %>">∞</a>
        seconds.
    </h5>
    <h5>
        <label for="cutoff-percentage">Set cutoff percentage:</label>
        <input id="cutoff-percentage" type="number" min="0" max="100" step="5" value="<%= cutoff %>">
    </h5>
    <% if (locals.examTitle !=undefined) { %>
        <h2>Exam: <%= locals.examTitle %>
        </h2>
        <% } %>
            <% if (locals.plagMethod !=undefined) { %>
                <h2>Compare method: <%= locals.plagMethod %>
                </h2>
                <% } %>
                    <% if (locals.questionId !=undefined) { %>
                        <h2>Question: <%= locals.questionId %>
                        </h2>
                        <% } %>
                            <% if (locals.data !=undefined) { %>
                                <h2>Average similarity: <%= data.averageSimilarity %>% </h2>
                                <h2>Minimum similarity: <%= data.minSimilarity %>% </h2>
                                <h2>Maximum similarity: <%= data.maxSimilarity %>% </h2>
                                <h2>
                                    Showing <%= students.length %> / <%= data.studentsTotal %> students
                                </h2>
                                <div class="table-responsive col-md-12">
                                    <% if (students.length) { %>
                                        <br>
                                        <table class="table table-striped" cellspacing="0" cellpadding="0">
                                            <thead>
                                                <tr>
                                                    <th>%</th>
                                                    <% for ( let student of students.slice(1).reverse()){ %>
                                                        <th>
                                                            <a href="/analytics/score/student/<%= student %>"
                                                                target="_blank">
                                                                <%= student %>
                                                            </a>
                                                        </th>
                                                        <% } %>
                                                </tr>
                                            </thead>
                                            <tbody>

                                                <% for (let firstStudent of students.slice(0,-1)){ %>
                                                    <tr>
                                                        <th>
                                                            <a href="/analytics/score/student/<%= firstStudent %>"
                                                                target="_blank">
                                                                <%= firstStudent %>
                                                            </a>
                                                        </th>

                                                        <% for (let secondStudent of students.slice(1).reverse()){ %>
                                                            <% let
                                                                percentage=similarities[`${firstStudent}+${secondStudent}`]
                                                                %>
                                                                <% if (percentage !=undefined) { %>
                                                                    <td
                                                                        style="background-color: <%= colors[`${firstStudent}+${secondStudent}`] %>">
                                                                        <% if (locals.questionId !=undefined) { %>
                                                                            <a href="/test/plagiarism/compare/test/<%= examId %>/question/<%= questionId %>?idFirstStudent=<%= firstStudent %>&idSecondStudent=<%= secondStudent %>&ar=0"
                                                                                target="_blank">
                                                                                <% } else { %>
                                                                                    <a href="/test/plagiarism/compare/test/<%= examId %>?idFirstStudent=<%= firstStudent %>&idSecondStudent=<%= secondStudent %>&ar=0"
                                                                                        target="_blank">
                                                                                        <% } %>
                                                                                            <div
                                                                                                style="height:100%;width:100%">
                                                                                                <%= percentage %>%
                                                                                            </div>
                                                                                    </a>
                                                                    </td>
                                                                    <% } else{ %>
                                                                        <td style="background-color: white;">
                                                                            <%= '-' %>
                                                                        </td>
                                                                        <% } %>
                                                                            <% } %>
                                                    </tr>
                                                    <% } %>

                                            </tbody>
                                        </table>
                                        <br>
                                        <% } %>
                                </div>
                                <% } else { %>
                                    <h2>No data yet!</h2>
                                    <% } %>
</div>